LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW Real-Time version conflict

I have LabVIEW 8.0 and LabVIEW Real-Time 8.0 running on my Windows XP computer.  It was working fine with a CompactRIO RTC model 9002 which has LabVIEW Real-Time 8.0 installed on it (as reported by MAX).  I purchased a new RTC model 9012 which came preloaded with LabVIEW Real-Time 8.2.1 (again as reported by MAX).  This created a version conflict while trying to download a VI.  I tried to use the LabVIEW Real-Time Software Wizard to change the version of the 9012 to 8.0 also to match the host.  However, the wizard shows the "Available version(s) on the host:" as only "None"; no other choices in the drop down menu.  (I used Windows search to see the number of *.cdf files in c:\Program Files\National Instruments\RT Images directory and subfolders; there are no where near 256 entries - I saw that issue in one of the postings.)  Where do I find LabVIEW Real-Time 8.0 to download to the RTC?
0 Kudos
Message 1 of 3
(3,985 Views)
Hello Cherian,

The procedure to install the LabVIEW RT 8.0 on the cRIO 9012 is expalined in the following link:
Why Is LabVIEW RT 8.20 on My cRIO Controller but Not on My Host?

Best regards,
Nick_CH
0 Kudos
Message 2 of 3
(3,932 Views)

Hello Cherian,

The cRIO-9012 datasheet suggests that the cRIO-9012 requries at least LabVIEW 8.2, LabVIEW Real-Time 8.2, LabVIEW FPGA 8.2, and NI-RIO 2.1. As you already have 8.2.1 installed on the target, the best way to go is to upgrade everything on your host to 8.2.1.

 

Kalin T.
0 Kudos
Message 3 of 3
(3,284 Views)